error: Microsoft Visual C++ 14.0 is required. Get it with “Microsoft Visual C++ Build Tools”

windows下执行pip install pycuda的时候报错:

    error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": https://visualstudio.microsoft.com/downloads/

解决办法:

  1. 下载安装Visual Studio
    或者
  2. 下载编译好的pycuda直接安装(Unofficial Windows Binaries for Python Extension Packages),地址:https://www.lfd.uci.edu/~gohlke/pythonlibs/

You may also like...

发表评论